<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.3"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>NANO102/112 BSP: LCD Exported Functions</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../M0Banner_v2.jpg"/></td>
  <td id="projectalign">
   <div id="projectname">NANO102/112 BSP<span id="projectnumber">&#160;V3.04.000</span>
   </div>
   <div id="projectbrief">The Board Support Package for Nano102/112 Series</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.3 -->
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',false,false,'search.php','Search');
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#define-members">Macros</a> &#124;
<a href="#enumval-members">Enumerator</a> &#124;
<a href="#func-members">Functions</a>  </div>
  <div class="headertitle"><div class="title">LCD Exported Functions<div class="ingroups"><a class="el" href="../../d8/dcc/group___n_a_n_o1_x2___device___driver.html">NANO102/112 Device Driver</a> &raquo; <a class="el" href="../../d4/d4f/group___n_a_n_o1_x2___l_c_d___driver.html">LCD Driver</a> &raquo; <a class="el" href="../../df/d11/group___n_a_n_o1_x2___l_c_d___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html">LCD Exported Constants</a> &raquo; <a class="el" href="../../d6/d36/group___n_a_n_o1_x2___l_c_d___e_x_p_o_r_t_e_d___s_t_r_u_c_t_s.html">LCD Exported Structs</a></div></div></div>
</div><!--header-->
<div class="contents">
<div class="dynheader">
Collaboration diagram for LCD Exported Functions:</div>
<div class="dyncontent">
<div class="center"><img src="../../d3/d2d/group___n_a_n_o1_x2___l_c_d___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.png" border="0" usemap="#ad3_2d2d_2group______n__a__n__o1__x2______l__c__d______e__x__p__o__r__t__e__d______f__u__n__c__t__i__o__n__s" alt=""/></div>
</div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="define-members" name="define-members"></a>
Macros</h2></td></tr>
<tr class="memitem:ga08f76e328b11f665c68155b860bbb11d"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/d2d/group___n_a_n_o1_x2___l_c_d___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga08f76e328b11f665c68155b860bbb11d">LCD_GET_PD_INT_FLAG</a>()&#160;&#160;&#160;((<a class="el" href="../../da/d2d/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#gabf2d80992dcfabfd1668184c3dff2733">LCD</a>-&gt;FCSTS &amp; <a class="el" href="../../da/d91/_nano1_x2_series_8h.html#ae47ad2508f964333516a4fa15d298245">LCD_FCSTS_PDSTS_Msk</a>) &gt;&gt; <a class="el" href="../../da/d91/_nano1_x2_series_8h.html#a4c03b49b6fa6ae731cf5ee0c3e57b882">LCD_FCSTS_PDSTS_Pos</a>)</td></tr>
<tr class="memdesc:ga08f76e328b11f665c68155b860bbb11d"><td class="mdescLeft">&#160;</td><td class="mdescRight">Get LCD Power Down interrupt flag.  <a href="../../d3/d2d/group___n_a_n_o1_x2___l_c_d___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga08f76e328b11f665c68155b860bbb11d">More...</a><br /></td></tr>
<tr class="separator:ga08f76e328b11f665c68155b860bbb11d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gaa9475c8c5b2c4a0548d53a3e277353a5"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/d2d/group___n_a_n_o1_x2___l_c_d___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gaa9475c8c5b2c4a0548d53a3e277353a5">LCD_CLR_PD_INT_FLAG</a>()&#160;&#160;&#160;(<a class="el" href="../../da/d2d/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#gabf2d80992dcfabfd1668184c3dff2733">LCD</a>-&gt;FCSTS = <a class="el" href="../../da/d91/_nano1_x2_series_8h.html#ae47ad2508f964333516a4fa15d298245">LCD_FCSTS_PDSTS_Msk</a>)</td></tr>
<tr class="memdesc:gaa9475c8c5b2c4a0548d53a3e277353a5"><td class="mdescLeft">&#160;</td><td class="mdescRight">Clear LCD Power Down interrupt flag.  <a href="../../d3/d2d/group___n_a_n_o1_x2___l_c_d___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gaa9475c8c5b2c4a0548d53a3e277353a5">More...</a><br /></td></tr>
<tr class="separator:gaa9475c8c5b2c4a0548d53a3e277353a5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga99308a27406d5535802bb1b81c5deed1"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/d2d/group___n_a_n_o1_x2___l_c_d___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga99308a27406d5535802bb1b81c5deed1">LCD_GET_FRAME_CNT_INT_FLAG</a>()&#160;&#160;&#160;((<a class="el" href="../../da/d2d/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#gabf2d80992dcfabfd1668184c3dff2733">LCD</a>-&gt;FCSTS &amp; <a class="el" href="../../da/d91/_nano1_x2_series_8h.html#a3a76998841371d1d95455dad50a4606d">LCD_FCSTS_FCSTS_Msk</a>) &gt;&gt; <a class="el" href="../../da/d91/_nano1_x2_series_8h.html#a4143d98233f942d8567c6e52364c1774">LCD_FCSTS_FCSTS_Pos</a>)</td></tr>
<tr class="memdesc:ga99308a27406d5535802bb1b81c5deed1"><td class="mdescLeft">&#160;</td><td class="mdescRight">Get LCD Frame Count interrupt flag.  <a href="../../d3/d2d/group___n_a_n_o1_x2___l_c_d___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga99308a27406d5535802bb1b81c5deed1">More...</a><br /></td></tr>
<tr class="separator:ga99308a27406d5535802bb1b81c5deed1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gad672a15e15b26691fc82ff039e8fd553"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/d2d/group___n_a_n_o1_x2___l_c_d___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gad672a15e15b26691fc82ff039e8fd553">LCD_CLR_FRAME_CNT_INT_FLAG</a>()&#160;&#160;&#160;(<a class="el" href="../../da/d2d/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#gabf2d80992dcfabfd1668184c3dff2733">LCD</a>-&gt;FCSTS = <a class="el" href="../../da/d91/_nano1_x2_series_8h.html#a3a76998841371d1d95455dad50a4606d">LCD_FCSTS_FCSTS_Msk</a>)</td></tr>
<tr class="memdesc:gad672a15e15b26691fc82ff039e8fd553"><td class="mdescLeft">&#160;</td><td class="mdescRight">Clear LCD Frame Count interrupt flag.  <a href="../../d3/d2d/group___n_a_n_o1_x2___l_c_d___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gad672a15e15b26691fc82ff039e8fd553">More...</a><br /></td></tr>
<tr class="separator:gad672a15e15b26691fc82ff039e8fd553"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga1e62062370a4026363bb808673362cfb"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/d2d/group___n_a_n_o1_x2___l_c_d___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga1e62062370a4026363bb808673362cfb">LCD_ENABLE_PD_DISPLAY</a>()&#160;&#160;&#160;(<a class="el" href="../../da/d2d/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#gabf2d80992dcfabfd1668184c3dff2733">LCD</a>-&gt;CTL |= <a class="el" href="../../da/d91/_nano1_x2_series_8h.html#ae28f740c0910f737dff27be8bc540e61">LCD_CTL_PDDISP_EN_Msk</a>)</td></tr>
<tr class="memdesc:ga1e62062370a4026363bb808673362cfb"><td class="mdescLeft">&#160;</td><td class="mdescRight">Enable LCD Power Down Display function.  <a href="../../d3/d2d/group___n_a_n_o1_x2___l_c_d___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga1e62062370a4026363bb808673362cfb">More...</a><br /></td></tr>
<tr class="separator:ga1e62062370a4026363bb808673362cfb"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gaa8e99d262ce68109aa3cd2f9d9286542"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/d2d/group___n_a_n_o1_x2___l_c_d___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gaa8e99d262ce68109aa3cd2f9d9286542">LCD_DISABLE_PD_DISPLAY</a>()&#160;&#160;&#160;(<a class="el" href="../../da/d2d/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#gabf2d80992dcfabfd1668184c3dff2733">LCD</a>-&gt;CTL &amp;= ~<a class="el" href="../../da/d91/_nano1_x2_series_8h.html#ae28f740c0910f737dff27be8bc540e61">LCD_CTL_PDDISP_EN_Msk</a>)</td></tr>
<tr class="memdesc:gaa8e99d262ce68109aa3cd2f9d9286542"><td class="mdescLeft">&#160;</td><td class="mdescRight">Disable LCD Power Down Display function.  <a href="../../d3/d2d/group___n_a_n_o1_x2___l_c_d___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gaa8e99d262ce68109aa3cd2f9d9286542">More...</a><br /></td></tr>
<tr class="separator:gaa8e99d262ce68109aa3cd2f9d9286542"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="func-members" name="func-members"></a>
Functions</h2></td></tr>
<tr class="memitem:gaecd530f9642d69ebd329530c33b1c002"><td class="memItemLeft" align="right" valign="top">uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/d2d/group___n_a_n_o1_x2___l_c_d___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gaecd530f9642d69ebd329530c33b1c002">LCD_EnableFrameCounter</a> (uint32_t u32Count)</td></tr>
<tr class="memdesc:gaecd530f9642d69ebd329530c33b1c002"><td class="mdescLeft">&#160;</td><td class="mdescRight">Set Frame Count and Enable frame count.  <a href="../../d3/d2d/group___n_a_n_o1_x2___l_c_d___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gaecd530f9642d69ebd329530c33b1c002">More...</a><br /></td></tr>
<tr class="separator:gaecd530f9642d69ebd329530c33b1c002"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gac9d571af631f230b2d093b70426bbd7c"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/d2d/group___n_a_n_o1_x2___l_c_d___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gac9d571af631f230b2d093b70426bbd7c">LCD_DisableFrameCounter</a> (void)</td></tr>
<tr class="memdesc:gac9d571af631f230b2d093b70426bbd7c"><td class="mdescLeft">&#160;</td><td class="mdescRight">Disable frame count function.  <a href="../../d3/d2d/group___n_a_n_o1_x2___l_c_d___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gac9d571af631f230b2d093b70426bbd7c">More...</a><br /></td></tr>
<tr class="separator:gac9d571af631f230b2d093b70426bbd7c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gaac399c45e3931c6dcbaa95c79a766a6a"><td class="memItemLeft" align="right" valign="top">uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/d2d/group___n_a_n_o1_x2___l_c_d___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gaac399c45e3931c6dcbaa95c79a766a6a">LCD_EnableBlink</a> (uint32_t u32ms)</td></tr>
<tr class="memdesc:gaac399c45e3931c6dcbaa95c79a766a6a"><td class="mdescLeft">&#160;</td><td class="mdescRight">Enable Blink function in LCD controller.  <a href="../../d3/d2d/group___n_a_n_o1_x2___l_c_d___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gaac399c45e3931c6dcbaa95c79a766a6a">More...</a><br /></td></tr>
<tr class="separator:gaac399c45e3931c6dcbaa95c79a766a6a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gae97874077bfb3a021c61690b21004f69"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/d2d/group___n_a_n_o1_x2___l_c_d___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gae97874077bfb3a021c61690b21004f69">LCD_DisableBlink</a> (void)</td></tr>
<tr class="memdesc:gae97874077bfb3a021c61690b21004f69"><td class="mdescLeft">&#160;</td><td class="mdescRight">Disable Blink function in LCD controller.  <a href="../../d3/d2d/group___n_a_n_o1_x2___l_c_d___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gae97874077bfb3a021c61690b21004f69">More...</a><br /></td></tr>
<tr class="separator:gae97874077bfb3a021c61690b21004f69"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga92f309aa07814f033fa583e1e74e68bf"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/d2d/group___n_a_n_o1_x2___l_c_d___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga92f309aa07814f033fa583e1e74e68bf">LCD_EnableInt</a> (uint32_t IntSrc)</td></tr>
<tr class="memdesc:ga92f309aa07814f033fa583e1e74e68bf"><td class="mdescLeft">&#160;</td><td class="mdescRight">This function is used to enable LCD interrupt.  <a href="../../d3/d2d/group___n_a_n_o1_x2___l_c_d___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga92f309aa07814f033fa583e1e74e68bf">More...</a><br /></td></tr>
<tr class="separator:ga92f309aa07814f033fa583e1e74e68bf"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gab38a1d741553128199a9c4b3c0015bcf"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/d2d/group___n_a_n_o1_x2___l_c_d___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gab38a1d741553128199a9c4b3c0015bcf">LCD_DisableInt</a> (uint32_t IntSrc)</td></tr>
<tr class="memdesc:gab38a1d741553128199a9c4b3c0015bcf"><td class="mdescLeft">&#160;</td><td class="mdescRight">This function is used to disable LCD specified interrupt.  <a href="../../d3/d2d/group___n_a_n_o1_x2___l_c_d___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gab38a1d741553128199a9c4b3c0015bcf">More...</a><br /></td></tr>
<tr class="separator:gab38a1d741553128199a9c4b3c0015bcf"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga63cc493ec700a988c2382c3b09a09157"><td class="memItemLeft" align="right" valign="top">uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/d2d/group___n_a_n_o1_x2___l_c_d___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga63cc493ec700a988c2382c3b09a09157">LCD_Open</a> (uint32_t u32DrivingType, uint32_t u32ComNum, uint32_t u32BiasLevel, uint32_t u32FramerateDiv, uint32_t u32DrivingVol)</td></tr>
<tr class="memdesc:ga63cc493ec700a988c2382c3b09a09157"><td class="mdescLeft">&#160;</td><td class="mdescRight">LCD Initialization routine.  <a href="../../d3/d2d/group___n_a_n_o1_x2___l_c_d___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga63cc493ec700a988c2382c3b09a09157">More...</a><br /></td></tr>
<tr class="separator:ga63cc493ec700a988c2382c3b09a09157"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga38931e2f60a5bca8527b78604644e67a"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/d2d/group___n_a_n_o1_x2___l_c_d___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga38931e2f60a5bca8527b78604644e67a">LCD_SetPixel</a> (uint32_t u32Com, uint32_t u32Seg, uint32_t u32OnFlag)</td></tr>
<tr class="memdesc:ga38931e2f60a5bca8527b78604644e67a"><td class="mdescLeft">&#160;</td><td class="mdescRight">Enables a segment on the LCD display.  <a href="../../d3/d2d/group___n_a_n_o1_x2___l_c_d___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga38931e2f60a5bca8527b78604644e67a">More...</a><br /></td></tr>
<tr class="separator:ga38931e2f60a5bca8527b78604644e67a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga4cf38e762042748bb3948fea1031da19"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/d2d/group___n_a_n_o1_x2___l_c_d___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga4cf38e762042748bb3948fea1031da19">LCD_SetAllPixels</a> (uint32_t u32OnOff)</td></tr>
<tr class="memdesc:ga4cf38e762042748bb3948fea1031da19"><td class="mdescLeft">&#160;</td><td class="mdescRight">LCD Enable/Disable all segments.  <a href="../../d3/d2d/group___n_a_n_o1_x2___l_c_d___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga4cf38e762042748bb3948fea1031da19">More...</a><br /></td></tr>
<tr class="separator:ga4cf38e762042748bb3948fea1031da19"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gab2b1b24fe536b594eff3fbc4acfd7dc8"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/d2d/group___n_a_n_o1_x2___l_c_d___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gab2b1b24fe536b594eff3fbc4acfd7dc8">LCD_Close</a> (void)</td></tr>
<tr class="memdesc:gab2b1b24fe536b594eff3fbc4acfd7dc8"><td class="mdescLeft">&#160;</td><td class="mdescRight">The function is used to disable LCD controller.  <a href="../../d3/d2d/group___n_a_n_o1_x2___l_c_d___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gab2b1b24fe536b594eff3fbc4acfd7dc8">More...</a><br /></td></tr>
<tr class="separator:gab2b1b24fe536b594eff3fbc4acfd7dc8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga887cf767cf1fd06106c2c14b10c048ba"><td class="memItemLeft" align="right" valign="top">static __INLINE void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/d2d/group___n_a_n_o1_x2___l_c_d___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga887cf767cf1fd06106c2c14b10c048ba">LCD_EnableDisplay</a> (void)</td></tr>
<tr class="memdesc:ga887cf767cf1fd06106c2c14b10c048ba"><td class="mdescLeft">&#160;</td><td class="mdescRight">Enable LCD controller.  <a href="../../d3/d2d/group___n_a_n_o1_x2___l_c_d___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga887cf767cf1fd06106c2c14b10c048ba">More...</a><br /></td></tr>
<tr class="separator:ga887cf767cf1fd06106c2c14b10c048ba"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gafc02b6e8ef1f3ab301853f4f8155e030"><td class="memItemLeft" align="right" valign="top">static __INLINE void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/d2d/group___n_a_n_o1_x2___l_c_d___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gafc02b6e8ef1f3ab301853f4f8155e030">LCD_DisableDisplay</a> (void)</td></tr>
<tr class="memdesc:gafc02b6e8ef1f3ab301853f4f8155e030"><td class="mdescLeft">&#160;</td><td class="mdescRight">Disable LCD controller.  <a href="../../d3/d2d/group___n_a_n_o1_x2___l_c_d___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gafc02b6e8ef1f3ab301853f4f8155e030">More...</a><br /></td></tr>
<tr class="separator:gafc02b6e8ef1f3ab301853f4f8155e030"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<h2 class="groupheader">Macro Definition Documentation</h2>
<a id="gad672a15e15b26691fc82ff039e8fd553" name="gad672a15e15b26691fc82ff039e8fd553"></a>
<h2 class="memtitle"><span class="permalink"><a href="#gad672a15e15b26691fc82ff039e8fd553">&#9670;&nbsp;</a></span>LCD_CLR_FRAME_CNT_INT_FLAG</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define LCD_CLR_FRAME_CNT_INT_FLAG</td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td>&#160;&#160;&#160;(<a class="el" href="../../da/d2d/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#gabf2d80992dcfabfd1668184c3dff2733">LCD</a>-&gt;FCSTS = <a class="el" href="../../da/d91/_nano1_x2_series_8h.html#a3a76998841371d1d95455dad50a4606d">LCD_FCSTS_FCSTS_Msk</a>)</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Clear LCD Frame Count interrupt flag. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">None</td><td></td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>None. </dd></dl>

<p class="definition">Definition at line <a class="el" href="../../d2/ded/lcd_8h_source.html#l00145">145</a> of file <a class="el" href="../../d2/ded/lcd_8h_source.html">lcd.h</a>.</p>

</div>
</div>
<a id="gaa9475c8c5b2c4a0548d53a3e277353a5" name="gaa9475c8c5b2c4a0548d53a3e277353a5"></a>
<h2 class="memtitle"><span class="permalink"><a href="#gaa9475c8c5b2c4a0548d53a3e277353a5">&#9670;&nbsp;</a></span>LCD_CLR_PD_INT_FLAG</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define LCD_CLR_PD_INT_FLAG</td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td>&#160;&#160;&#160;(<a class="el" href="../../da/d2d/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#gabf2d80992dcfabfd1668184c3dff2733">LCD</a>-&gt;FCSTS = <a class="el" href="../../da/d91/_nano1_x2_series_8h.html#ae47ad2508f964333516a4fa15d298245">LCD_FCSTS_PDSTS_Msk</a>)</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Clear LCD Power Down interrupt flag. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">None</td><td></td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>None. </dd></dl>

<p class="definition">Definition at line <a class="el" href="../../d2/ded/lcd_8h_source.html#l00127">127</a> of file <a class="el" href="../../d2/ded/lcd_8h_source.html">lcd.h</a>.</p>

</div>
</div>
<a id="gaa8e99d262ce68109aa3cd2f9d9286542" name="gaa8e99d262ce68109aa3cd2f9d9286542"></a>
<h2 class="memtitle"><span class="permalink"><a href="#gaa8e99d262ce68109aa3cd2f9d9286542">&#9670;&nbsp;</a></span>LCD_DISABLE_PD_DISPLAY</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define LCD_DISABLE_PD_DISPLAY</td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td>&#160;&#160;&#160;(<a class="el" href="../../da/d2d/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#gabf2d80992dcfabfd1668184c3dff2733">LCD</a>-&gt;CTL &amp;= ~<a class="el" href="../../da/d91/_nano1_x2_series_8h.html#ae28f740c0910f737dff27be8bc540e61">LCD_CTL_PDDISP_EN_Msk</a>)</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Disable LCD Power Down Display function. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">None</td><td></td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>None. </dd></dl>

<p class="definition">Definition at line <a class="el" href="../../d2/ded/lcd_8h_source.html#l00163">163</a> of file <a class="el" href="../../d2/ded/lcd_8h_source.html">lcd.h</a>.</p>

</div>
</div>
<a id="ga1e62062370a4026363bb808673362cfb" name="ga1e62062370a4026363bb808673362cfb"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ga1e62062370a4026363bb808673362cfb">&#9670;&nbsp;</a></span>LCD_ENABLE_PD_DISPLAY</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define LCD_ENABLE_PD_DISPLAY</td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td>&#160;&#160;&#160;(<a class="el" href="../../da/d2d/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#gabf2d80992dcfabfd1668184c3dff2733">LCD</a>-&gt;CTL |= <a class="el" href="../../da/d91/_nano1_x2_series_8h.html#ae28f740c0910f737dff27be8bc540e61">LCD_CTL_PDDISP_EN_Msk</a>)</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Enable LCD Power Down Display function. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">None</td><td></td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>None. </dd></dl>

<p class="definition">Definition at line <a class="el" href="../../d2/ded/lcd_8h_source.html#l00154">154</a> of file <a class="el" href="../../d2/ded/lcd_8h_source.html">lcd.h</a>.</p>

</div>
</div>
<a id="ga99308a27406d5535802bb1b81c5deed1" name="ga99308a27406d5535802bb1b81c5deed1"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ga99308a27406d5535802bb1b81c5deed1">&#9670;&nbsp;</a></span>LCD_GET_FRAME_CNT_INT_FLAG</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define LCD_GET_FRAME_CNT_INT_FLAG</td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td>&#160;&#160;&#160;((<a class="el" href="../../da/d2d/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#gabf2d80992dcfabfd1668184c3dff2733">LCD</a>-&gt;FCSTS &amp; <a class="el" href="../../da/d91/_nano1_x2_series_8h.html#a3a76998841371d1d95455dad50a4606d">LCD_FCSTS_FCSTS_Msk</a>) &gt;&gt; <a class="el" href="../../da/d91/_nano1_x2_series_8h.html#a4143d98233f942d8567c6e52364c1774">LCD_FCSTS_FCSTS_Pos</a>)</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Get LCD Frame Count interrupt flag. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">None</td><td></td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>LCD Frame Count interrupt Flag. </dd></dl>

<p class="definition">Definition at line <a class="el" href="../../d2/ded/lcd_8h_source.html#l00136">136</a> of file <a class="el" href="../../d2/ded/lcd_8h_source.html">lcd.h</a>.</p>

</div>
</div>
<a id="ga08f76e328b11f665c68155b860bbb11d" name="ga08f76e328b11f665c68155b860bbb11d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ga08f76e328b11f665c68155b860bbb11d">&#9670;&nbsp;</a></span>LCD_GET_PD_INT_FLAG</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define LCD_GET_PD_INT_FLAG</td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td>&#160;&#160;&#160;((<a class="el" href="../../da/d2d/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#gabf2d80992dcfabfd1668184c3dff2733">LCD</a>-&gt;FCSTS &amp; <a class="el" href="../../da/d91/_nano1_x2_series_8h.html#ae47ad2508f964333516a4fa15d298245">LCD_FCSTS_PDSTS_Msk</a>) &gt;&gt; <a class="el" href="../../da/d91/_nano1_x2_series_8h.html#a4c03b49b6fa6ae731cf5ee0c3e57b882">LCD_FCSTS_PDSTS_Pos</a>)</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Get LCD Power Down interrupt flag. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">None</td><td></td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>LCD Power Down interrupt Flag. </dd></dl>

<p class="definition">Definition at line <a class="el" href="../../d2/ded/lcd_8h_source.html#l00118">118</a> of file <a class="el" href="../../d2/ded/lcd_8h_source.html">lcd.h</a>.</p>

</div>
</div>
<h2 class="groupheader">Function Documentation</h2>
<a id="gab2b1b24fe536b594eff3fbc4acfd7dc8" name="gab2b1b24fe536b594eff3fbc4acfd7dc8"></a>
<h2 class="memtitle"><span class="permalink"><a href="#gab2b1b24fe536b594eff3fbc4acfd7dc8">&#9670;&nbsp;</a></span>LCD_Close()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void LCD_Close </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>The function is used to disable LCD controller. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">None</td><td></td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>None </dd></dl>

<p class="definition">Definition at line <a class="el" href="../../da/def/lcd_8c_source.html#l00362">362</a> of file <a class="el" href="../../da/def/lcd_8c_source.html">lcd.c</a>.</p>
<div class="dynheader">
Here is the call graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="../../d3/d2d/group___n_a_n_o1_x2___l_c_d___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_gab2b1b24fe536b594eff3fbc4acfd7dc8_cgraph.png" border="0" usemap="#ad3/d2d/group___n_a_n_o1_x2___l_c_d___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_gab2b1b24fe536b594eff3fbc4acfd7dc8_cgraph" alt=""/></div>
</div>

</div>
</div>
<a id="gae97874077bfb3a021c61690b21004f69" name="gae97874077bfb3a021c61690b21004f69"></a>
<h2 class="memtitle"><span class="permalink"><a href="#gae97874077bfb3a021c61690b21004f69">&#9670;&nbsp;</a></span>LCD_DisableBlink()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void LCD_DisableBlink </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Disable Blink function in LCD controller. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">None</td><td></td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>None </dd></dl>

<p class="definition">Definition at line <a class="el" href="../../da/def/lcd_8c_source.html#l00423">423</a> of file <a class="el" href="../../da/def/lcd_8c_source.html">lcd.c</a>.</p>

</div>
</div>
<a id="gafc02b6e8ef1f3ab301853f4f8155e030" name="gafc02b6e8ef1f3ab301853f4f8155e030"></a>
<h2 class="memtitle"><span class="permalink"><a href="#gafc02b6e8ef1f3ab301853f4f8155e030">&#9670;&nbsp;</a></span>LCD_DisableDisplay()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static __INLINE void LCD_DisableDisplay </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Disable LCD controller. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">None</td><td></td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>None </dd></dl>

<p class="definition">Definition at line <a class="el" href="../../d2/ded/lcd_8h_source.html#l00198">198</a> of file <a class="el" href="../../d2/ded/lcd_8h_source.html">lcd.h</a>.</p>
<div class="dynheader">
Here is the caller graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="../../d3/d2d/group___n_a_n_o1_x2___l_c_d___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_gafc02b6e8ef1f3ab301853f4f8155e030_icgraph.png" border="0" usemap="#ad3/d2d/group___n_a_n_o1_x2___l_c_d___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_gafc02b6e8ef1f3ab301853f4f8155e030_icgraph" alt=""/></div>
</div>

</div>
</div>
<a id="gac9d571af631f230b2d093b70426bbd7c" name="gac9d571af631f230b2d093b70426bbd7c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#gac9d571af631f230b2d093b70426bbd7c">&#9670;&nbsp;</a></span>LCD_DisableFrameCounter()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void LCD_DisableFrameCounter </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Disable frame count function. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">None</td><td></td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>None </dd></dl>

<p class="definition">Definition at line <a class="el" href="../../da/def/lcd_8c_source.html#l00264">264</a> of file <a class="el" href="../../da/def/lcd_8c_source.html">lcd.c</a>.</p>

</div>
</div>
<a id="gab38a1d741553128199a9c4b3c0015bcf" name="gab38a1d741553128199a9c4b3c0015bcf"></a>
<h2 class="memtitle"><span class="permalink"><a href="#gab38a1d741553128199a9c4b3c0015bcf">&#9670;&nbsp;</a></span>LCD_DisableInt()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void LCD_DisableInt </td>
          <td>(</td>
          <td class="paramtype">uint32_t&#160;</td>
          <td class="paramname"><em>IntSrc</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>This function is used to disable LCD specified interrupt. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">IntSrc</td><td>Interrupt Source: <a class="el" href="../../df/d11/group___n_a_n_o1_x2___l_c_d___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gafb1b7d1f3668cd0c515038ed44381f9f">LCD_FRAMECOUNT_INT</a> / <a class="el" href="../../df/d11/group___n_a_n_o1_x2___l_c_d___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga6ed13e03b1b855b88fd4348c60f2c08d">LCD_POWERDOWN_INT</a> / <a class="el" href="../../df/d11/group___n_a_n_o1_x2___l_c_d___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga7ed4d1e605b6a4d55b31d0dc35a92ffc">LCD_ALL_INT</a></td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>None </dd></dl>

<p class="definition">Definition at line <a class="el" href="../../da/def/lcd_8c_source.html#l00466">466</a> of file <a class="el" href="../../da/def/lcd_8c_source.html">lcd.c</a>.</p>

</div>
</div>
<a id="gaac399c45e3931c6dcbaa95c79a766a6a" name="gaac399c45e3931c6dcbaa95c79a766a6a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#gaac399c45e3931c6dcbaa95c79a766a6a">&#9670;&nbsp;</a></span>LCD_EnableBlink()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">uint32_t LCD_EnableBlink </td>
          <td>(</td>
          <td class="paramtype">uint32_t&#160;</td>
          <td class="paramname"><em>u32ms</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Enable Blink function in LCD controller. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">u32ms</td><td>Blinking display time(unit: ms).</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>Real blinking delay time(ms). </dd></dl>

<p class="definition">Definition at line <a class="el" href="../../da/def/lcd_8c_source.html#l00376">376</a> of file <a class="el" href="../../da/def/lcd_8c_source.html">lcd.c</a>.</p>

</div>
</div>
<a id="ga887cf767cf1fd06106c2c14b10c048ba" name="ga887cf767cf1fd06106c2c14b10c048ba"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ga887cf767cf1fd06106c2c14b10c048ba">&#9670;&nbsp;</a></span>LCD_EnableDisplay()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static __INLINE void LCD_EnableDisplay </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Enable LCD controller. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">None</td><td></td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>None </dd></dl>

<p class="definition">Definition at line <a class="el" href="../../d2/ded/lcd_8h_source.html#l00184">184</a> of file <a class="el" href="../../d2/ded/lcd_8h_source.html">lcd.h</a>.</p>

</div>
</div>
<a id="gaecd530f9642d69ebd329530c33b1c002" name="gaecd530f9642d69ebd329530c33b1c002"></a>
<h2 class="memtitle"><span class="permalink"><a href="#gaecd530f9642d69ebd329530c33b1c002">&#9670;&nbsp;</a></span>LCD_EnableFrameCounter()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">uint32_t LCD_EnableFrameCounter </td>
          <td>(</td>
          <td class="paramtype">uint32_t&#160;</td>
          <td class="paramname"><em>u32Count</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Set Frame Count and Enable frame count. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">u32Count</td><td>Frame count value</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>real frame count value. </dd></dl>

<p class="definition">Definition at line <a class="el" href="../../da/def/lcd_8c_source.html#l00210">210</a> of file <a class="el" href="../../da/def/lcd_8c_source.html">lcd.c</a>.</p>

</div>
</div>
<a id="ga92f309aa07814f033fa583e1e74e68bf" name="ga92f309aa07814f033fa583e1e74e68bf"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ga92f309aa07814f033fa583e1e74e68bf">&#9670;&nbsp;</a></span>LCD_EnableInt()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void LCD_EnableInt </td>
          <td>(</td>
          <td class="paramtype">uint32_t&#160;</td>
          <td class="paramname"><em>IntSrc</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>This function is used to enable LCD interrupt. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">IntSrc</td><td>Interrupt Source: <a class="el" href="../../df/d11/group___n_a_n_o1_x2___l_c_d___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gafb1b7d1f3668cd0c515038ed44381f9f">LCD_FRAMECOUNT_INT</a> / <a class="el" href="../../df/d11/group___n_a_n_o1_x2___l_c_d___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga6ed13e03b1b855b88fd4348c60f2c08d">LCD_POWERDOWN_INT</a> / <a class="el" href="../../df/d11/group___n_a_n_o1_x2___l_c_d___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga7ed4d1e605b6a4d55b31d0dc35a92ffc">LCD_ALL_INT</a></td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>None </dd></dl>

<p class="definition">Definition at line <a class="el" href="../../da/def/lcd_8c_source.html#l00444">444</a> of file <a class="el" href="../../da/def/lcd_8c_source.html">lcd.c</a>.</p>

</div>
</div>
<a id="ga63cc493ec700a988c2382c3b09a09157" name="ga63cc493ec700a988c2382c3b09a09157"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ga63cc493ec700a988c2382c3b09a09157">&#9670;&nbsp;</a></span>LCD_Open()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">uint32_t LCD_Open </td>
          <td>(</td>
          <td class="paramtype">uint32_t&#160;</td>
          <td class="paramname"><em>u32DrivingType</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint32_t&#160;</td>
          <td class="paramname"><em>u32ComNum</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint32_t&#160;</td>
          <td class="paramname"><em>u32BiasLevel</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint32_t&#160;</td>
          <td class="paramname"><em>u32FramerateDiv</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint32_t&#160;</td>
          <td class="paramname"><em>u32DrivingVol</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>LCD Initialization routine. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">u32DrivingType</td><td>LCD driving type: <a class="el" href="../../d6/d36/group___n_a_n_o1_x2___l_c_d___e_x_p_o_r_t_e_d___s_t_r_u_c_t_s.html#gga4aade76e2254b1c2858759860b9c8fdca722f6b687c5d15031a0b3f1291f9cf04">LCD_C_TYPE</a> / <a class="el" href="../../d6/d36/group___n_a_n_o1_x2___l_c_d___e_x_p_o_r_t_e_d___s_t_r_u_c_t_s.html#gga4aade76e2254b1c2858759860b9c8fdcad2fdb0d69edeb2b2691226f09e3b3633">LCD_EXTERNAL_R_TYPE</a> / <a class="el" href="../../d6/d36/group___n_a_n_o1_x2___l_c_d___e_x_p_o_r_t_e_d___s_t_r_u_c_t_s.html#gga4aade76e2254b1c2858759860b9c8fdca4d80acf10b407e4e00a5e9c0237277f9">LCD_INTERNAL_R_TYPE</a> / <a class="el" href="../../d6/d36/group___n_a_n_o1_x2___l_c_d___e_x_p_o_r_t_e_d___s_t_r_u_c_t_s.html#gga4aade76e2254b1c2858759860b9c8fdca1ae579017fce26afb60099d81a4d2abd">LCD_EXTERNAL_C_TYPE</a> </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">u32ComNum</td><td>LCD Com number: 1 ~6 </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">u32BiasLevel</td><td>LCD bias level: <a class="el" href="../../df/d11/group___n_a_n_o1_x2___l_c_d___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga0c1f0c45bd3ff79658e01ee2203e6869">LCD_BIAS_STATIC</a> / <a class="el" href="../../df/d11/group___n_a_n_o1_x2___l_c_d___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gac96ae57b0a7268e3606db85922dd7e7f">LCD_BIAS_HALF</a> / <a class="el" href="../../df/d11/group___n_a_n_o1_x2___l_c_d___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gaad16ee5260c1c03044d7055f047e89a6">LCD_BIAS_THIRD</a> </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">u32FramerateDiv</td><td>LCD frequency divider: <a class="el" href="../../df/d11/group___n_a_n_o1_x2___l_c_d___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gadcf949aa2606a24cc0dfbf13e0404046">LCD_FREQ_DIV32</a> / <a class="el" href="../../df/d11/group___n_a_n_o1_x2___l_c_d___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gaba8ea911de18ff1d5502e7451e401448">LCD_FREQ_DIV64</a> / <a class="el" href="../../df/d11/group___n_a_n_o1_x2___l_c_d___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gadc9ad02cff482e9959a3d17d424cb7ca">LCD_FREQ_DIV96</a> / <a class="el" href="../../df/d11/group___n_a_n_o1_x2___l_c_d___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gad869fe607b3b10df273393ee223433f0">LCD_FREQ_DIV128</a> / <a class="el" href="../../df/d11/group___n_a_n_o1_x2___l_c_d___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gaf88244735ea2bc65b789a3251f375aeb">LCD_FREQ_DIV192</a>/ <a class="el" href="../../df/d11/group___n_a_n_o1_x2___l_c_d___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga3544f42652af0d0ba3d5e5e7805065a7">LCD_FREQ_DIV256</a> / <a class="el" href="../../df/d11/group___n_a_n_o1_x2___l_c_d___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gaf276c4a03e49ee40369bbc99d45e8cb4">LCD_FREQ_DIV384</a> / <a class="el" href="../../df/d11/group___n_a_n_o1_x2___l_c_d___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gaea7e8e1aaab5f4bef98d53117b909f8e">LCD_FREQ_DIV512</a> </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">u32DrivingVol</td><td>LCD charge pump driving voltage: <a class="el" href="../../df/d11/group___n_a_n_o1_x2___l_c_d___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga366206e0c10b5db869ff21fc8a655f46">LCD_CPVOl_2_7V</a> / <a class="el" href="../../df/d11/group___n_a_n_o1_x2___l_c_d___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga05556d6fc65065ac10b1390848fbed37">LCD_CPVOl_2_8V</a> / <a class="el" href="../../df/d11/group___n_a_n_o1_x2___l_c_d___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga5d3c10037141c465a8631b6c2be680a9">LCD_CPVOl_2_9V</a> / <a class="el" href="../../df/d11/group___n_a_n_o1_x2___l_c_d___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga9897465e13b1dea7aaf45dc0b6c81d56">LCD_CPVOl_3V</a> / <a class="el" href="../../df/d11/group___n_a_n_o1_x2___l_c_d___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga5580a74656382e309c442563b97115f5">LCD_CPVOl_3_1V</a> / <a class="el" href="../../df/d11/group___n_a_n_o1_x2___l_c_d___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga154c4547aaa7351d8fa0b5b155654340">LCD_CPVOl_3_2V</a> / <a class="el" href="../../df/d11/group___n_a_n_o1_x2___l_c_d___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga320fd4754189b819bc419e3521fddf8e">LCD_CPVOl_3_3V</a> / <a class="el" href="../../df/d11/group___n_a_n_o1_x2___l_c_d___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gad523ffec303ae12ed70ed95285fbb30c">LCD_CPVOl_3_4V</a></td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>LCD frame rate. </dd></dl>

<p class="definition">Definition at line <a class="el" href="../../da/def/lcd_8c_source.html#l00287">287</a> of file <a class="el" href="../../da/def/lcd_8c_source.html">lcd.c</a>.</p>
<div class="dynheader">
Here is the call graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="../../d3/d2d/group___n_a_n_o1_x2___l_c_d___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_ga63cc493ec700a988c2382c3b09a09157_cgraph.png" border="0" usemap="#ad3/d2d/group___n_a_n_o1_x2___l_c_d___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_ga63cc493ec700a988c2382c3b09a09157_cgraph" alt=""/></div>
</div>

</div>
</div>
<a id="ga4cf38e762042748bb3948fea1031da19" name="ga4cf38e762042748bb3948fea1031da19"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ga4cf38e762042748bb3948fea1031da19">&#9670;&nbsp;</a></span>LCD_SetAllPixels()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void LCD_SetAllPixels </td>
          <td>(</td>
          <td class="paramtype">uint32_t&#160;</td>
          <td class="paramname"><em>u32OnOff</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>LCD Enable/Disable all segments. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">u32OnOff</td><td>1: Enable all segments 0: Disable all segment</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>None </dd></dl>

<p class="definition">Definition at line <a class="el" href="../../da/def/lcd_8c_source.html#l00166">166</a> of file <a class="el" href="../../da/def/lcd_8c_source.html">lcd.c</a>.</p>
<div class="dynheader">
Here is the caller graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="../../d3/d2d/group___n_a_n_o1_x2___l_c_d___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_ga4cf38e762042748bb3948fea1031da19_icgraph.png" border="0" usemap="#ad3/d2d/group___n_a_n_o1_x2___l_c_d___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_ga4cf38e762042748bb3948fea1031da19_icgraph" alt=""/></div>
</div>

</div>
</div>
<a id="ga38931e2f60a5bca8527b78604644e67a" name="ga38931e2f60a5bca8527b78604644e67a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ga38931e2f60a5bca8527b78604644e67a">&#9670;&nbsp;</a></span>LCD_SetPixel()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void LCD_SetPixel </td>
          <td>(</td>
          <td class="paramtype">uint32_t&#160;</td>
          <td class="paramname"><em>u32Com</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint32_t&#160;</td>
          <td class="paramname"><em>u32Seg</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint32_t&#160;</td>
          <td class="paramname"><em>u32OnFlag</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Enables a segment on the LCD display. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">u32Com</td><td>COM number </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">u32Seg</td><td>Segment number </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">u32OnFlag</td><td>1: segment display 0: segment not display</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>None </dd></dl>

<p class="definition">Definition at line <a class="el" href="../../da/def/lcd_8c_source.html#l00062">62</a> of file <a class="el" href="../../da/def/lcd_8c_source.html">lcd.c</a>.</p>
<div class="dynheader">
Here is the caller graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="../../d3/d2d/group___n_a_n_o1_x2___l_c_d___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_ga38931e2f60a5bca8527b78604644e67a_icgraph.png" border="0" usemap="#ad3/d2d/group___n_a_n_o1_x2___l_c_d___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_ga38931e2f60a5bca8527b78604644e67a_icgraph" alt=""/></div>
</div>

</div>
</div>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Fri Oct 18 2024 12:20:32 for NANO102/112 BSP by&#160;<a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.3
</small></address>
</body>
</html>
